<back to all web services

GetService

The following routes are available for this service:
GET/RestApi/apiservice/services/{Route}/{UrlName}

export class GetService
{
    public UrlName: string;
    public Route: string;

    public constructor(init?: Partial<GetService>) { (Object as any).assign(this, init); }
}

export class PropertiesProxy
{
    public Name: string;
    public PropertyType: string;
    public IsPersistent: boolean;
    public AllowSort: boolean;
    public AllowFilter: boolean;
    public IsKey: boolean;

    public constructor(init?: Partial<PropertiesProxy>) { (Object as any).assign(this, init); }
}

export class ContentsProxy
{
    public Name: string;
    public ReadOnly: boolean;
    public UrlKey: string;
    public ClrType: string;
    public Access: string;
    public Properties: PropertiesProxy[];
    public Children: ContentsProxy[];
    public AutogenerateProperties: boolean;
    public parentId: string;

    public constructor(init?: Partial<ContentsProxy>) { (Object as any).assign(this, init); }
}

export class ServicesProxy
{
    public Name: string;
    public Route: string;
    public UrlName: string;
    public Enabled: boolean;
    public Access: string;
    public ApiKey: string;
    public AccessControlAllowOrigin: string;
    public AutogenerateTypes: boolean;
    public Types: ContentsProxy[];
    public Protocol: string;
    public ErrorMessage: string;

    public constructor(init?: Partial<ServicesProxy>) { (Object as any).assign(this, init); }
}

TypeScript GetService DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml

HTTP + XML

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/apiservice/services/{Route}/{UrlName} HTTP/1.1 
Host: www.asg.com.au 
Accept: application/xml
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length

<ServicesProxy xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Web.Api.Web.Services.Dto.Responses">
  <Access>String</Access>
  <AccessControlAllowOrigin>String</AccessControlAllowOrigin>
  <ApiKey>String</ApiKey>
  <AutogenerateTypes>false</AutogenerateTypes>
  <Enabled>false</Enabled>
  <ErrorMessage>String</ErrorMessage>
  <Name>String</Name>
  <Protocol>String</Protocol>
  <Route>String</Route>
  <Types i:nil="true" />
  <UrlName>String</UrlName>
</ServicesProxy>